Setup 2.774 texlive postinstall takes 10+ hours (resending due to cygwin bounce)

Ken Brown kbrown@cornell.edu
Wed Feb 6 14:11:00 GMT 2013


On 2/6/2013 4:52 AM, jeremycraven wrote:
>
> I did not change anything in the "Publishing" section, so all were at
> default, unless one of my other choices chnaged them due to dependencies

Nothing from TeX Live is installed by default.  So everything you 
installed came from dependencies.

> (see end of this post as well). Elsewhere as far as I remember I added all
> of X11, python, and editors, rxvt , tcsh shell, and Imagemagick. Of those
> the only mildly suspicious one is the tex wysiwyg editor.

I assume you're talking about lyx.  Take a look at the setup.ini file in 
your Cygwin download directory, and you'll see that lyx requires quite a 
few texlive-collection-* packages.  It probably shouldn't require so 
many, but this was a decision made by the lyx maintainer (who just 
resigned as maintainer).

> I seem to have ended up with your "standard" install (according to the
> texlive advice that you pointed me to) when I look at the things in
> publishing marked "KEEP" and referring to "texlive" (e.g. have the
> ...latexrecommended one). (Is there any other way to know what non standard
> items one chose in the future?).

After you select packages and click "Next", setup.exe will pop up a 
dialogue box warning you if there are dependencies that you need to 
install.  For each one, it will tell you which package(s) it depends on.

> The key timings in the full log file are:
> 13:23 started whole process
> 15:00 postinstall started
> 15:12-15:56 texlive things
> 16:08-16:56 more texlive things
> 17:00 finished
>
> so I make it 90 mins out of 210 mins were texlive.
>
> Maybe that is as it should be, but is this what would happen if I had not
> touched the "default" install settings?

No, it would have been much faster.  For one thing, you wouldn't have 
installed anything from TeX Live.

> I think like others, I nearly lost faith that my computer was still working
> - it was only because I knew cygwin was so valuable to me that I persevered.
> In a first time try I might well have given up.

A user installing Cygwin for the first time would be well advised to 
start by accepting all the defaults.

> (The upside of this is I can try and see if this latex install copes on a
> file someone sent me where my ubuntu one failed!)
>
> I notice the following lines near the top of the log files:
>
> 2013/02/05 13:27:23 Adding required dependency texlive: Selecting version
> 20120628-1 for installation.
> 2013/02/05 13:27:23 Adding required dependency texlive-collection-basic:
> Selecting version 20120628-2 for installation.
> 2013/02/05 13:27:23 Adding required dependency
> texlive-collection-documentation-base: Selecting version 20120628-1 for
> installation.
> 2013/02/05 13:27:23 Adding required dependency
> texlive-collection-fontsextra: Selecting version 20120628-1 for
> installation.
> 2013/02/05 13:27:23 Adding required dependency
> texlive-collection-fontsrecommended: Selecting version 20120628-1 for
> installation.
> 2013/02/05 13:27:23 Adding required dependency texlive-collection-fontutils:
> Selecting version 20120628-1 for installation.
> 2013/02/05 13:27:23 Adding required dependency
> texlive-collection-genericrecommended: Selecting version 20120628-1 for
> installation.
> 2013/02/05 13:27:23 Adding required dependency texlive-collection-htmlxml:
> Selecting version 20120628-1 for installation.
> 2013/02/05 13:27:23 Adding required dependency texlive-collection-latex:
> Selecting version 20120628-1 for installation.
> 2013/02/05 13:27:23 Adding required dependency
> texlive-collection-latexextra: Selecting version 20120628-1 for
> installation.
> 2013/02/05 13:27:23 Adding required dependency
> texlive-collection-latexrecommended: Selecting version 20120628-1 for
> installation.
> 2013/02/05 13:27:23 Adding required dependency texlive-collection-pictures:
> Selecting version 20120628-1 for installation.
> 2013/02/05 13:27:23 Adding required dependency texlive-collection-science:
> Selecting version 20120628-1 for installation.
> 2013/02/05 13:27:23 Adding required dependency texlive-collection-texinfo:
> Selecting version 20120628-1 for installation.
>
> I don't know if that indicates extra dependencies beyond the default, and if
> so I wonder what triggered them.

Most or all of these were triggered by lyx.

> I can send you the log files if you suggest where best to send them.

I don't need to see them unless there are error messages involving 
texlive postinstall scripts.

Ken


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple



More information about the Cygwin mailing list